package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 接口调用记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaDaysStatisticsDao;
import com.heyu.api.data.entity.calca.CalcaDaysStatisticsEntity;
import com.heyu.api.data.service.calca.CalcaDaysStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaDaysStatisticsServiceImpl extends ServiceImpl<CalcaDaysStatisticsDao, CalcaDaysStatisticsEntity> implements CalcaDaysStatisticsService {


    @Autowired
	private CalcaDaysStatisticsDao calcaDaysStatisticsDao;



	@Override
	public CalcaDaysStatisticsEntity selectCalcaDaysStatisticsById(Long id){
		return calcaDaysStatisticsDao.selectCalcaDaysStatisticsById(id);
	}



	@Override
	public Long insertCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics){
		return calcaDaysStatisticsDao.insertCalcaDaysStatistics(calcaDaysStatistics);
	}



	@Override
	public Long insertOrUpdateCalcaDaysStatistics(CalcaDaysStatisticsEntity calcaDaysStatistics){
		return calcaDaysStatisticsDao.insertOrUpdateCalcaDaysStatistics(calcaDaysStatistics);
	}



	@Override
	public int updateCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics){
		return calcaDaysStatisticsDao.updateCalcaDaysStatisticsById(calcaDaysStatistics);
	}



	@Override
	public int updateCoverCalcaDaysStatisticsById(CalcaDaysStatisticsEntity calcaDaysStatistics){
		return calcaDaysStatisticsDao.updateCoverCalcaDaysStatisticsById(calcaDaysStatistics);
	}



	@Override
	public int deleteCalcaDaysStatisticsById(Long id){
		return calcaDaysStatisticsDao.deleteCalcaDaysStatisticsById(id);
	}



}
